attribute vec3 aki_tangent;

varying vec3 v_normal;
varying vec3 v_pos;
varying vec4 v_color;
varying vec2 v_uv;

void main() 
{
	v_pos = vec3(gl_ModelViewMatrix * gl_Vertex);
	v_uv = gl_MultiTexCoord0.st; 
	v_color = gl_Color;

	v_normal = normalize(gl_NormalMatrix * gl_Normal);
	  
	// gl_ModelViewProjectionMatrix = gl_ProjectionMatrix * gl_ModelViewMatrix
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
	gl_FogFragCoord = gl_Position.z;
}